Commit 675443e4 authored by Jean-Baptiste Kempf's avatar Jean-Baptiste Kempf

Contribs: update gnuTLS to the latest of the 2.12.x branch

parent 4e4547f4
727abef7b38704315dff89d39a7ab91f55ff7615a5958d6b988a03ec6e3701fd4537c8792ada45ae2afb290b23d8dbb009090dab1ae15da27d3b19aefbbf515c gnutls-2.12.7.tar.bz2
49fde72d049ca75d3df15744519296a5eb982560d739cf9b41033b758564df59698be857bc86825f1ae2dc71b3479208701482bfc085f22e9ff197a65a00d7d1 gnutls-2.12.20.tar.bz2
--- gnutls-2.2.5/gl/gai_strerror.c 2008-02-21 08:58:18.000000000 +0100
+++ gnutls/gl/gai_strerror.c 2008-05-22 08:20:56.000000000 +0200
@@ -62,7 +62,7 @@
--- gnutls-2.12.20/gl/gai_strerror.c.orig 2012-03-01 16:45:12.000000000 +0100
+++ gnutls-2.12.20/gl/gai_strerror.c 2012-09-27 14:39:30.273584236 +0200
@@ -75,7 +75,7 @@
{ EAI_IDN_ENCODE, N_("Parameter string not correctly encoded") }
#endif
};
......@@ -9,23 +9,20 @@
const char *
gai_strerror (int code)
{
@@ -73,6 +73,7 @@
return _("Unknown error");
}
+#endif
#ifdef _LIBC
@@ -89,4 +89,5 @@
# ifdef _LIBC
libc_hidden_def (gai_strerror)
#endif
--- gnutls/lib/gnutls.pc.in.orig 2011-11-26 14:40:52.343740836 -0500
+++ gnutls/lib/gnutls.pc.in 2011-11-26 14:41:49.456024042 -0500
# endif
+#endif
#endif /* !HAVE_DECL_GAI_STRERROR */
--- gnutls-2.12.20/lib/gnutls.pc.in.orig 2012-09-27 14:40:07.243581693 +0200
+++ gnutls-2.12.20/lib/gnutls.pc.in 2012-01-06 20:06:23.000000000 +0100
@@ -19,7 +19,7 @@
Description: Transport Security Layer implementation for the GNU system
URL: http://www.gnu.org/software/gnutls/
Version: @VERSION@
-Libs: -L${libdir} -lgnutls
+Libs: -L${libdir} -lgnutls -lws2_32 -lcrypt32 @LTLIBINTL@
Libs.private: @LTLIBGCRYPT@ @NETTLE_LIBS@
Libs.private: @LTLIBGCRYPT@ @LTLIBNETTLE@ @NETTLE_LIBS@ @GNUTLS_ZLIB_LIBS_PRIVATE@
@GNUTLS_REQUIRES_PRIVATE@
Cflags: -I${includedir}
# GnuTLS
GNUTLS_VERSION := 2.12.7
GNUTLS_VERSION := 2.12.20
GNUTLS_URL := http://ftp.gnu.org/pub/gnu/gnutls/gnutls-$(GNUTLS_VERSION).tar.bz2
PKGS += gnutls
......@@ -28,6 +28,7 @@ endif
GNUTLS_CONF := \
--disable-gtk-doc \
--without-p11-kit \
--disable-cxx \
--disable-srp-authentication \
--disable-psk-authentication-FIXME \
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment